Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87986 - su hangs when trying to su to root from regular user
Summary: su hangs when trying to su to root from regular user
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-04 10:50 UTC by Pedro Inacio
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:45 UTC


Attachments (Terms of Use)

Description Pedro Inacio 2003-04-04 10:50:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
After running up2date in order to update to the latest kernel (
kernel-2.4.18-27.8.0 ) I cannot su to root anymore because the terminal hangs.
This problem happens in several computers we have.
It seems to be a problem with the recent patch to the ptrace bug, because if I
download the kernel source 2.4.20 and compile it, it works fine, or even if I
use the kernel-2.4.18-26.0 it works too.

Version-Release number of selected component (if applicable):
kernel-2.4.18-27.8.0

How reproducible:
Always

Steps to Reproduce:
1.As a regular user, type su
2.It should hang the terminal, the Password prompt is not even visible
3.The only way is to close the terminal window
    

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:45 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.